package com.zhyc.module.produce.breed.service;

import java.util.List;

import com.zhyc.module.produce.breed.domain.ScWeanRecord;

/**
 * 断奶记录Service接口
 *
 * @author ruoyi
 * @date 2025-07-13
 */
public interface IScWeanRecordService {
    /**
     * 查询断奶记录
     *
     * @param id 断奶记录主键
     * @return 断奶记录
     */
    public ScWeanRecord selectScWeanRecordById(Long id);

    /**
     * 查询断奶记录列表
     *
     * @param scWeanRecord 断奶记录
     * @return 断奶记录集合
     */
    public List<ScWeanRecord> selectScWeanRecordList(ScWeanRecord scWeanRecord);

    /**
     * 新增断奶记录
     *
     * @param scWeanRecord 断奶记录
     * @return 结果
     */
    public int insertScWeanRecord(ScWeanRecord scWeanRecord);

    /**
     * 修改断奶记录
     *
     * @param scWeanRecord 断奶记录
     * @return 结果
     */
    public int updateScWeanRecord(ScWeanRecord scWeanRecord);

    /**
     * 批量删除断奶记录
     *
     * @param ids 需要删除的断奶记录主键集合
     * @return 结果
     */
    public int deleteScWeanRecordByIds(Long[] ids);

    /**
     * 删除断奶记录信息
     *
     * @param id 断奶记录主键
     * @return 结果
     */
    public int deleteScWeanRecordById(Long id);

    /**
     * 根据耳号查询羊只ID
     *
     * @param earNumber 耳号
     * @return 羊只ID
     */
    public Long selectSheepIdByEarNumber(String earNumber);
}